{%- from 'components/schema_header.html.jinja' import schema_header -%}
{%- extends "root.html.jinja" -%}

{%- macro _render_item_card(title, items, show_latest) -%}
  <div class="card mb-3">
    <h2 class="fs-6 fw-semibold card-header">{{ title }}</h2>
    <div class="list-group list-group-flush">
      {% for item in items %}
        {% if item.href %}
          <div
            class="list-group-item list-group-item-action d-flex flex-row gap-2 align-items-center"
          >
            <a
              href="{{ item.href }}"
              class="w-100 text-decoration-none color-inherit text-body d-flex flex-row gap-2 align-items-center"
            >
              <i class="bi bi-download text-primary" aria-hidden="true"></i>
              {{ item.label }}
              {% if show_latest and loop.first %}
                <span class="badge bg-primary">Neueste</span>
              {% endif %}
            </a>
            <div class="vr my-1"></div>
            <button
              type="button"
              class="btn-icon p-0 ms-auto copy-link-btn"
              aria-label="Kopiere Link zu {{ item.label }}"
              data-href="{{ item.href }}"
              data-bs-toggle="tooltip"
              data-bs-placement="left"
              data-bs-title="Download-Link kopieren"
            >
              <i class="bi bi-link-45deg fs-5" aria-hidden="true"></i>
            </button>
          </div>
        {% else %}
          <span
            class="list-group-item d-flex flex-row align-items-center gap-2"
          >
            <i class="bi bi-question-circle"></i> {{ item.label }}
          </span>
        {% endif %}
      {% else %}
        <div class="list-group-item text-muted">Keine Dateien verfügbar</div>
      {% endfor %}
    </div>
  </div>
{%- endmacro -%}

{% block page %}
  {{ schema_header(page.header, baseurl) }}

  <div class="container py-3">
    <div class="row">
      <div class="col-lg-6">
        {{ _render_item_card("Datenschema (xDatenfelder)", page.xdf_uploads, true) }}
        {{ _render_item_card("Datenschema (JSON Schema)", page.json_schema_files, true) }}
        {{ _render_item_card("Datenschema (XSD)", page.xsd_files, true) }}
      </div>
      <div class="col-lg-6">
        {{ _render_item_card("Codelisten", page.codelists, false) }}
      </div>
    </div>
  </div>
{% endblock %}
